org.apache.felix.connect.felix.framework.util

## Class StringComparator

- java.lang.Object
- - org.apache.felix.connect.felix.framework.util.StringComparator

All Implemented Interfaces:
  Comparator<String>

    public class StringComparator
    extends Object
    implements Comparator<String>

### Constructor Summary

Constructors
Constructor and Description
`StringComparator(boolean b)`

### Method Summary

Methods
`int` `compare(String o1, String o2)`
`boolean` `isCaseSensitive()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### StringComparator

    public StringComparator(boolean b)

### Method Detail

#### compare

    public int compare(String o1,
              String o2)

Specified by:
  `compare` in interface `Comparator<String>`

#### isCaseSensitive

    public boolean isCaseSensitive()